Embeddings generieren
Create embeddings for the supplied input.
Authentication: This endpoint accepts either a Bearer API key or a SIGN-IN-WITH-X header for x402 wallet-based authentication. The legacy X-Sign-In-With-X header is also accepted during migration. When using x402, a 402 Payment Required response indicates insufficient balance and includes top-up instructions.
curl --request POST \
--url https://api.venice.ai/api/v1/embeddings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"encoding_format": "float",
"input": "The quick brown fox jumped over the lazy dog",
"model": "text-embedding-bge-m3"
}
'import requests
url = "https://api.venice.ai/api/v1/embeddings"
payload = {
"encoding_format": "float",
"input": "The quick brown fox jumped over the lazy dog",
"model": "text-embedding-bge-m3"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
encoding_format: 'float',
input: 'The quick brown fox jumped over the lazy dog',
model: 'text-embedding-bge-m3'
})
};
fetch('https://api.venice.ai/api/v1/embeddings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.venice.ai/api/v1/embeddings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'encoding_format' => 'float',
'input' => 'The quick brown fox jumped over the lazy dog',
'model' => 'text-embedding-bge-m3'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.venice.ai/api/v1/embeddings"
payload := strings.NewReader("{\n \"encoding_format\": \"float\",\n \"input\": \"The quick brown fox jumped over the lazy dog\",\n \"model\": \"text-embedding-bge-m3\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.venice.ai/api/v1/embeddings")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"encoding_format\": \"float\",\n \"input\": \"The quick brown fox jumped over the lazy dog\",\n \"model\": \"text-embedding-bge-m3\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.venice.ai/api/v1/embeddings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"encoding_format\": \"float\",\n \"input\": \"The quick brown fox jumped over the lazy dog\",\n \"model\": \"text-embedding-bge-m3\"\n}"
response = http.request(request)
puts response.read_body{
"data": [
{
"embedding": [
0.0023064255,
-0.009327292,
0.015797377
],
"index": 0,
"object": "embedding"
}
],
"model": "text-embedding-bge-m3",
"object": "list",
"usage": {
"prompt_tokens": 8,
"total_tokens": 8
}
}{
"error": "<string>",
"details": {
"_errors": [],
"field": {
"_errors": [
"Field is required"
]
}
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Autorisierungen
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Header
Supported compression encodings (gzip, br)
"gzip, br"
Body
Create embeddings for the supplied input.
Input text to embed, encoded as a string or array of tokens. To embed multiple inputs in a single request, pass an array of strings or array of token arrays. The input must not exceed the max input tokens for the model (8192 tokens), cannot be an empty string, and any array must be 2048 dimensions or less.
1"The quick brown fox jumped over the lazy dog"
ID of the model to use. You can use the List models API to see all of your available models, or see our Model overview for descriptions of them.
"text-embedding-bge-m3"
The number of dimensions the resulting output embeddings should have.
x >= 1The format to return the embeddings in. Can be either float or base64.
float, base64 "float"
This is an unused parameter and is discarded by Venice. It is supported solely for API compatibility with OpenAI.
Antwort
OK
The list of embeddings generated by the model.
Show child attributes
Show child attributes
The name of the model used to generate the embedding.
The object type, which is always "list"
list The usage information for the request.
Show child attributes
Show child attributes
War diese Seite hilfreich?
curl --request POST \
--url https://api.venice.ai/api/v1/embeddings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"encoding_format": "float",
"input": "The quick brown fox jumped over the lazy dog",
"model": "text-embedding-bge-m3"
}
'import requests
url = "https://api.venice.ai/api/v1/embeddings"
payload = {
"encoding_format": "float",
"input": "The quick brown fox jumped over the lazy dog",
"model": "text-embedding-bge-m3"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
encoding_format: 'float',
input: 'The quick brown fox jumped over the lazy dog',
model: 'text-embedding-bge-m3'
})
};
fetch('https://api.venice.ai/api/v1/embeddings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.venice.ai/api/v1/embeddings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'encoding_format' => 'float',
'input' => 'The quick brown fox jumped over the lazy dog',
'model' => 'text-embedding-bge-m3'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.venice.ai/api/v1/embeddings"
payload := strings.NewReader("{\n \"encoding_format\": \"float\",\n \"input\": \"The quick brown fox jumped over the lazy dog\",\n \"model\": \"text-embedding-bge-m3\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.venice.ai/api/v1/embeddings")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"encoding_format\": \"float\",\n \"input\": \"The quick brown fox jumped over the lazy dog\",\n \"model\": \"text-embedding-bge-m3\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.venice.ai/api/v1/embeddings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"encoding_format\": \"float\",\n \"input\": \"The quick brown fox jumped over the lazy dog\",\n \"model\": \"text-embedding-bge-m3\"\n}"
response = http.request(request)
puts response.read_body{
"data": [
{
"embedding": [
0.0023064255,
-0.009327292,
0.015797377
],
"index": 0,
"object": "embedding"
}
],
"model": "text-embedding-bge-m3",
"object": "list",
"usage": {
"prompt_tokens": 8,
"total_tokens": 8
}
}{
"error": "<string>",
"details": {
"_errors": [],
"field": {
"_errors": [
"Field is required"
]
}
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}